# To enable real-time sheduling (SCHED_FIFO), rebuild this package adding
# '--with realtime'.  This will require a kernel with the capabilities patch
# and may be a security risk to your system.  Non-root users will be able
# to run jack with real-time priorities by executing 'jackstart'.
%define enable_capabilities 0
%{?_with_realtime: %{expand: %%define enable_capabilities 1}}

%define enable_optimization 0
%{?_with_optimization: %{expand: %%define enable_optimization 1}}

%define		lib_name_orig libjack
%define		lib_major 0
%define		lib_name %mklibname jack %{lib_major} 
%define		lib_name_devel%mklibname jack %{lib_major} -d
Summary:	The Jack Audio Connection Kit
Name:		jackit
Version:	0.100.1
Release:	0.20050702.1mdk
License:	GPL
Group:		System/Servers
Source0:	jack-audio-connection-kit-%{version}-20050702.tar.bz2
URL:		http://jackit.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Buildrequires:	alsa-lib-devel
Buildrequires:	libsndfile-devel
BuildRequires:  libglib-devel
BuildRequires:	libfltk-devel
Buildrequires:  doxygen
BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  libtermcap-devel
%if %enable_capabilities
BuildRequires:	libcap-devel
%endif

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. It can connect a number of different applications to
an audio device, as well as allowing them to share audio between
themselves. Its clients can run in their own processes (ie. as a
normal application), or can they can run within a JACK server (ie. a
"plugin").

JACK is different from other audio server efforts in that it has been
designed from the ground up to be suitable for professional audio
work. This means that it focuses on two key areas: synchronous
execution of all clients, and low latency operation.

%package -n	%{lib_name}
Summary:	Library associated with jack kit , needed for jackd
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n	%{lib_name}
This library is mandatory for the Jack Audio Connection Kit

%package -n	%{lib_name_devel}
Summary:	Header files for Jack 
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Requires:	pkgconfig

%description -n	%{lib_name_devel}
Header files for the Jack Audio Connection Kit.

%package	example-clients
Summary:	Example clients that use Jack 
Group:		Sound
Requires:	%{name} = %{version}

%description	example-clients
Small example clients that use the Jack Audio Connection Kit.

%prep
%setup -q -n jack

%build
./autogen.sh
%configure2_5x --with-html-dir=%{_docdir} --enable-stripped-jackd --enable-shared --disable-portaudio \
%if %enable_capabilities
	--enable-capabilities \
%endif
%if %enable_optimization
	--enable-optimize
%endif

%make

%install
rm -rf %buildroot
%{makeinstall_std}
rm -fr $RPM_BUILD_ROOT/%{_docdir}
%if ! %enable_capabilities
rm -f %buildroot%_mandir/man1/jackstart.1
%endif

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS TODO doc/reference
%if %enable_capabilities
%attr(4755,root,root) %{_bindir}/jackstart
%{_mandir}/man1/jackstart.1*
%endif
%{_bindir}/jackd
%dir %{_libdir}/jack
%{_libdir}/jack/jack_alsa.so
%{_libdir}/jack/jack_oss.so
%{_libdir}/jack/jack_dummy.so
%{_mandir}/man1/jackd.1*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libjack.so.*

%files -n %{lib_name_devel}
%defattr(-,root,root)
%{_includedir}/jack
%{_libdir}/lib*.so
#%{_libdir}/lib*.a
%{_libdir}/lib*.la
%dir %{_libdir}/jack
%{_libdir}/jack/*a
%{_libdir}/pkgconfig/jack.pc

%files example-clients
%defattr(-,root,root)
%{_bindir}/jackrec
%{_bindir}/jack_bufsize
%{_bindir}/jack_connect
%{_bindir}/jack_disconnect
%{_bindir}/jack_freewheel
%{_bindir}/jack_impulse_grabber
%{_bindir}/jack_lsp
%{_bindir}/jack_metro
%{_bindir}/jack_showtime
%{_bindir}/jack_monitor_client
%{_bindir}/jack_simple_client
%{_bindir}/jack_load
%{_bindir}/jack_unload
%{_bindir}/jack_transport
%{_libdir}/jack/inprocess.so
%{_libdir}/jack/intime.so

%changelog
* Sat Jul 2 2005 Austin Acton <austin@mandriva.org> 0.100.1-0.20050702.1mdk
- cvs snapshot to get ieee16883 driver
- relax requires

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.99.0-2mdk
- rebuild for new readline

* Sat Dec 18 2004 Laurent Culioli <laurent@mandrake.org> 0.99.0-1mdk
- 0.99.0

* Tue Jun 15 2004 Laurent Culioli <laurent@mandrake.org> 0.98.1-1mdk
- 0.98.1

* Wed Apr 21 2004 Laurent Culioli <laurent@mandrake.org> 0.98.0-1mdk
- 0.98.0

* Fri Feb 27 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.94.0-2mdk
- Own dir (distlint)

* Wed Jan 14 2004 Austin Acton <austin@mandrake.org> 0.94.0-1mdk
- 0.94.0

* Fri Nov 27 2003 Laurent Culioli <laurent@pschit.net> 0.90.1-1mdk
- 0.90.1

* Mon Nov 17 2003 Austin Acton <aacton@yorku.ca> 0.90.0-1mdk
- 0.90.0
- new examples

* Tue Nov 4 2003 Austin Acton <aacton@yorku.ca> 0.80.0-1mdk
- 0.80.0
- add dummy interface and intime plugin

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.75.0-1mdk
- 0.75.0

* Sun Jul 20 2003 Austin Acton <aacton@yorku.ca> 0.74.1-1mdk
- 0.74.1

* Wed Jul  9 2003 Götz Waschk <waschk@linux-mandrake.com> 0.72.4-2mdk
- rebuild for new rpm

* Thu Jun 26 2003 Götz Waschk <waschk@linux-mandrake.com> 0.72.4-1mdk
- add some more buildrequires
- add new example client
- new version

* Thu Jun 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.71.2-1mdk
- 0.71.2
- use %%mklibname macro for devel package
- drop jack_fltk_client from example-clients %files (no longer included?)

* Sun May 18 2003 Stefan van der Eijk <stefan@eijk.nu> 0.71.1-2mdk
- rebuild

* Sun May 11 2003 Laurent culioli <laurent@pschit.net> 0.71.1-1mdk
- 0.71.1

* Tue May  6 2003 Götz Waschk <waschk@linux-mandrake.com> 0.70.4-1mdk
- add man pages
- add a --with optimization switch (might not work, see MDK bug #918) 
- new version

* Mon Apr 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.61.0-2mdk
- remove redundant buildrequires 
- require %name >= %version in the library package to fix upgrades
- fix rpmlint warning by moving the alsa plugin to the main package
- fix distriblint warning about the directory ownership

* Thu Mar 27 2003 Götz Waschk <waschk@linux-mandrake.com> 0.61.0-1mdk
- add missing files
- right configure macro
- mklibname macro
- devel package requires pkgconfig
- new version

* Fri Feb 14 2003 Laurent culioli <laurent@pschit.net> 0.50.0-3mdk
- BuildRequires 

* Mon Feb 10 2003 Austin Acton <aacton@yorku.ca> 0.50.0-2mdk
- fix realtime capabilities option

* Sun Feb  9 2003 Laurent Culioli <laurent@mandrakesoft.com> 0.50.0-1mdk
- 0.50.0

* Fri Jan 31 2003 Laurent Culioli <laurent@mandrakesoft.com> 0.44.0-0.20030130.2mdk
- put jack_alsa.so in lib package instead devel ( jackd need .so to load plugin )

* Fri Jan 31 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.44.0-0.20030130.1mdk
- from Austin Acton <aacton@yorku.ca> :
	- bump to cvs
	- buildrequires pkgconfig
	- remove patch

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.34.0-4mdk
- really fix example-clients sub package group

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.34.0-3mdk
- fix example-clients sub package group

* Sun Sep 15 2002 Nicolas Planel <nplanel@mandrakesoft.com> 0.34.0-2mdk
- fix build with libsndfile-1.0.0 

* Fri Aug 16 2002 Laurent Culioli <laurent@pschit.net> 0.34.0-1mdk
- initial mdk package 

